[Pkg-openldap-devel] Bug#613647: Upgrade Lenny -> Squeeze: failed to correctly parse slapd.conf / limits

Rainer Ruprechtsberger rainer.ruprechtsberger at volkshilfe-ooe.at
Wed Feb 16 12:12:56 UTC 2011

Package: slapd
Version: 2.4.23-7
Severity: important

*** Please type your report below this line ***


dist-upgrade Lenny to Squeeze failed with my slapd.conf. The following
statement (and more statements with size=unlimited and time=unlimited)
where not correctly parsed/translated:

limits dn.regex="^cn=.*,ou=replication,dc=volkshilfe-ooe,dc=at"
size=unlimited time=unlimited

The resulting ldif contained:

olcLimits: {0}dn.regex="^cn=.*,ou=replication,dc=volkshilfe-ooe,dc=at"

and ommited the time= and size= part. This caused a dpkg failure.
Manually fixing olcDatabase={1}bdb.ldif (appending the size and time
statements) and a following

dpkg --configure -a

resolved this.


-- System Information:
Debian Release: 6.0
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages slapd depends on:
ii  adduser                 3.112+nmu2       add and remove users and groups
ii  coreutils               8.5-1            GNU core utilities
ii  debconf [debconf-2.0]         Debian configuration
management sy
ii  libc6                   2.11.2-10        Embedded GNU C Library:
Shared lib
ii  libdb4.8                4.8.30-2         Berkeley v4.8 Database
Libraries [
ii  libgnutls26             2.8.6-1          the GNU TLS library -
runtime libr
ii  libldap-2.4-2           2.4.23-7         OpenLDAP libraries
ii  libltdl7                2.2.6b-2         A system independent dlopen
ii  libperl5.10             5.10.1-17        shared Perl library
ii  libsasl2-2              2.1.23.dfsg1-7   Cyrus SASL - authentication
ii  libslp1                 1.2.1-7.8        OpenSLP libraries
ii  libwrap0                7.6.q-19         Wietse Venema's TCP
wrappers libra
ii  lsb-base                3.2-23.2squeeze1 Linux Standard Base 3.2
init scrip
ii  perl [libmime-base64-pe 5.10.1-17        Larry Wall's Practical
ii  psmisc                  22.11-1          utilities that use the proc
file s
ii  unixodbc                2.2.14p2-1       ODBC tools libraries

Versions of packages slapd recommends:
ii  libsasl2-modules          2.1.23.dfsg1-7 Cyrus SASL - pluggable

Versions of packages slapd suggests:
ii  ldap-utils                    2.4.23-7   OpenLDAP utilities

-- Configuration Files:
/etc/default/slapd changed [not included]

-- debconf information excluded
Rainer Ruprechtsbergeru
Volkshilfe Oberösterreich
Glimpfingerstrasse 48
4020 Linz
Tel.: 0732/3405-123
Mobil.: 0676/8734-1123

ZVR Zahl: 064371505

More information about the Pkg-openldap-devel mailing list